CMSIS-NN: arm_nn_depthwise_conv_s8_core.c File Reference

| CMSIS-NN Version 1.3.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Enumerations Enumerator Macros Groups Pages
Functions
arm_nn_depthwise_conv_s8_core.c File Reference

## Functions

q7_t * | arm_nn_depthwise_conv_s8_core (const q7_t *row, const q15_t *col, const uint16_t num_ch, const int32_t *out_shift, const int32_t *out_mult, const int32_t out_offset, const int32_t activation_min, const int32_t activation_max, const uint16_t kernel_size, const int32_t *const output_bias, q7_t *out)
| Depthwise conv on an im2col buffer where the input channel equals output channel. More...

## Function Documentation

q7_t* arm_nn_depthwise_conv_s8_core | ( | const q7_t * | row,
|  | const q15_t * | col,
|  | const uint16_t | num_ch,
|  | const int32_t * | out_shift,
|  | const int32_t * | out_mult,
|  | const int32_t | out_offset,
|  | const int32_t | activation_min,
|  | const int32_t | activation_max,
|  | const uint16_t | kernel_size,
|  | const int32_t *const | output_bias,
|  | q7_t * | out
| ) |  |

Parameters

  [in] | row | pointer to row
  [in] | col | pointer to im2col buffer, always consists of 2 columns.
  [in] | num_ch | number of channels
  [in] | out_shift | pointer to per output channel requantization shift parameter.
  [in] | out_mult | pointer to per output channel requantization multiplier parameter.
  [in] | out_offset | output tensor offset.
  [in] | activation_min | minimum value to clamp the output to. Range : int8
  [in] | activation_max | maximum value to clamp the output to. Range : int8
  [in] | kernel_size | number of elements in one column.
  [in] | output_bias | per output channel bias. Range : int32
  [out] | out | pointer to output

Returns
  The function returns one of the two
  1. The incremented output pointer for a successful operation or
  2. NULL if implementation is not available.

Supported framework: TensorFlow Lite micro.